'use strict';

import BIM from './bim.js';

/**
 * @namespace UI
 */
const UI = {};
/**
 * 
 * @param {HTMLElement} container The scene container element
 */
UI.setScene = function (container) {
    BIM.createScene(container);
}
/**
 * @param {string} btnId The loading button's id
 */
UI.ifcLoader = function (btnId = 'load-ifc') {
    const loadBtn = document.querySelector(`#${btnId}`);
    loadBtn.onchange = async function () {
        const files = this.files;
        BIM.loadIfc(new Uint8Array(await files[0].arrayBuffer()));
    }
};

export default UI;